
ServerEvents.recipes(event => {

    event.shaped(Item.of('mininggadgets:upgrade_empty'), [
        'DSD', 
        'BNB', 
        'DSD'   
        ], {
        N: 'minecraft:diamond_block', 
        B: 'minecraft:redstone_block',
        D: 'alltheores:lumium_plate', 
        S: 'minecraft:redstone_block' 
    })

})
